	.386
	.model use32 small
	public _strlen
	.code
_strlen:
	push	ebp
	mov	ebp,esp
	push	edi
	mov	edi,[8+ebp]
	sub	al,al
	mov	ecx,-1
	cld
	repne	scasb
	not	ecx
	dec	ecx
	mov	eax,ecx
	pop	edi
	pop	ebp
	ret
	end